//
// regression.cpp  written by Kenji Shimada
// Problem Set 9 Sample Code 
//

#include  "regression.h"

// Measured data y at grid nodes (x1, x2).
// The grid is ranged: 0.0 < x1 < 1.0   and  0.0 < x2 < 1.0.
// The size of the grid is 0.2.
// e.g., data[2][3] represents the value of y at (x1, x2)=(0.4, 0.6).
double	data[6][6] = {
			{0.7,	0.857,	0.81,	0.849,	0.711,0.456},
			{0.537,	0.55,	0.649,	0.571,	0.376,0.247},
			{0.33,	0.489,	0.471,	0.336,	0.267,-0.039},
			{0.369,	0.411,	0.386,	0.327,	0.081,-0.181},
			{0.391,	0.379,	0.427,	0.241,	0.039,-0.172},
			{0.459,	0.567,	0.441,	0.299,	0.148,-0.243}
		};




int main(int argc, char *argv[]) {     

	double	a[6];


	cout << "\n>> 24-311:Numerical Methods--2D Quadratic Regression <<\n\n";

	// Open output wrl file
	ofstream outFile;                   
	outFile.open ("output.wrl", ios::out);
	if (!outFile) {
		cerr << "Cannot open this file for output.\n";
		exit (-1);
	}

	///////////////////////////////////////////////
	// Write your regression code here
    ///////////////////////////////////////////////
	// Define a dummy quadratic function
	a[0] = 0.8;
	a[1] = -1.0;
	a[2] = -1.0;
	a[3] = 0.0;
	a[4] = 1.0;
	a[5] = 1.0;

	// Create output wrl file
	vrml_reg (outFile, MY_NAME, a);
	
	// Close the output wrl file
	outFile.close ();

	cout.flush();

	return 0;
}
